Bug 1029437 - paged queue exception exposes information about filesystem
paged queue exception exposes information about filesystem
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
3.0
Unspecified Unspecified
medium Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Eric Sammons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 06:48 EST by Gordon Sim
Modified: 2015-01-21 07:56 EST (History)
3 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:56:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5314 None None None Never

  None (edit)
Description Gordon Sim 2013-11-12 06:48:15 EST
Description of problem:

When attempting to send a message larger that then page size of a paged queue, an exception is raised as expected. However this exception includes the full path of the paging file which exposes too much information (that could be sensitive) to the user.

Version-Release number of selected component (if applicable):

Early access

How reproducible:

100%

Steps to Reproduce:
1. create paged queue with default settings
2. send 500k sized message

Actual results:

Exception contains full path of paging file

Expected results:

Exception just contains the information about the queue and the error that occurred.

Additional info:
Comment 1 Gordon Sim 2013-11-12 06:48:52 EST
Fixed upstream: https://svn.apache.org/r1540137
Comment 2 Valiantsina Hubeika 2014-01-30 12:14:39 EST
tested with python client & verified

Note You need to log in before you can comment on or make changes to this bug.